System.Data 2.0.0.0 System.ComponentModel.Component

The class is provided for the convenience of provider writers creating their own command builders. By inheriting from this class, developers can implement provider specific behavior in their own code.

The does not automatically generate the SQL statements required to reconcile changes made to a with the associated data source. However, you can create a object to automatically generate SQL statements for single-table updates if you set the property of the . Then, any additional SQL statements that you do not set are generated by the .

The registers itself as a listener for events whenever you set the property. You can only associate one or object with each other at one time.

To generate INSERT, UPDATE, or DELETE statements, the uses the property to retrieve a required set of metadata automatically. If you change the after the metadata has been retrieved (for example, after the first update), you should call the method to update the metadata.

The SelectCommand must also return at least one primary key or unique column. If none exist, an exception is generated, and the commands are not generated.

The also uses the , , and properties referenced by the . The user should call if any of these properties are modified, or if the itself is replaced. Otherwise the , , and properties retain their previous values.

If you call , the is disassociated from the , and the generated commands are no longer used.

Automatically generates single-table commands used to reconcile changes made to a with the associated database. This is an abstract class that can only be inherited.

- Constructor
  To be added.

  Initializes a new instance of a class that inherits from the class.

  2.0.0.0
- Method
  System.Void `` `` `` ``

  This method allows an implementation of the class to handle provider-specific parameter properties.

  Allows the provider implementation of the class to handle additional parameter properties.

  A to which the additional modifications are applied. The from the schema table provided by . The type of command being generated; INSERT, UPDATE or DELETE. true if the parameter is part of the update or delete WHERE clause, false if it is part of the insert or update values. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Data.Common.CatalogLocation.Start)
  System.Data.Common.CatalogLocation To be added. To be added.

  Sets or gets the for an instance of the class.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(".")
  System.String To be added. To be added.

  Sets or gets a string used as the catalog separator for an instance of the class.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(System.Data.ConflictOption.CompareAllSearchableValues)
  System.Data.ConflictOption To be added. To be added.

  Specifies which is to be used by the .

  2.0.0.0
- Property
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Data.Common.DbDataAdapter To be added.

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance of , any existing associated with this is released.

  Gets or sets a object for which Transact-SQL statements are automatically generated.

  2.0.0.0
- Method
  System.Void ``

  This method is called by the public method and the Finalize method. invokes the protected method with the disposing parameter set to true. Finalize invokes Dispose with disposing set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 2.0.0.0
- Method
  System.Data.Common.DbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  Gets the automatically generated object required to perform deletions at the data source.

  The automatically generated object required to perform deletions.

  2.0.0.0
- Method
  System.Data.Common.DbCommand `` To be added.

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter allows you to force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform deletions at the data source, optionally using columns for parameter names.

  The automatically generated object required to perform deletions.

  2.0.0.0
- Method
  System.Data.Common.DbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the text of the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  Gets the automatically generated object required to perform insertions at the data source.

  The automatically generated object required to perform insertions.

  2.0.0.0
- Method
  System.Data.Common.DbCommand `` To be added.

  An application can use the method for informational or troubleshooting purposes because it returns the text of the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter allows you to force the to generate parameters based on the column names instead. Generation of the parameters based on column names succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform insertions at the data source, optionally using columns for parameter names.

  The automatically generated object required to perform insertions.

  2.0.0.0
- Method
  System.String `` To be added.

  Returns the name of the specified parameter in the format of @p#. Use when building a custom command builder.

  The name of the parameter with the specified number appended as part of the parameter name.

  The number to be included as part of the parameter's name.. 2.0.0.0
- Method
  System.String `` To be added.

  Returns the full parameter name, given the partial parameter name.

  The full parameter name corresponding to the partial parameter name requested.

  The partial name of the parameter. 2.0.0.0
- Method
  System.String ``

  This method is intended for use by provider writers building a custom command builder.

  Returns the placeholder for the parameter in the associated SQL statement.

  The name of the parameter with the specified number appended.

  The number to be included as part of the parameter's name. 2.0.0.0
- Method
  System.Data.DataTable `` To be added.

  This method is intended for use by provider writers building a custom command builder.

  Returns the schema table for the .

  A that represents the schema for the specific .

  2.0.0.0
- Method
  System.Data.Common.DbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  Gets the automatically generated object required to perform updates at the data source.

  The automatically generated object required to perform updates.

  2.0.0.0
- Method
  System.Data.Common.DbCommand `` To be added.

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify command text, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will still be using information from the previous statement, which might not be correct. The SQL statements are first generated either when the application calls or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter allows you to force the to generate parameters based on the column names instead. Generation of the parameters based on column names succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform updates at the data source, optionally using columns for parameter names.

  The automatically generated object required to perform updates.

  2.0.0.0
- Method
  System.Data.Common.DbCommand ``

  This method is intended for use by provider writers building a custom command builder.

  Resets the , , , and properties on the .

  A instance to use for each insert, update, or delete operation. Passing a null value allows the method to create a object based on the Select command associated with the .

  The to be used by the command builder for the corresponding insert, update, or delete command. 2.0.0.0
- Method
  System.String `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier, including properly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are properly escaped.

  The original unquoted identifier. 2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  Some data sources may have objects that can contain characters such as spaces, commas, and semicolons. To accommodate this capability, use the and properties to specify delimiters such as a left bracket and a right bracket to encapsulate the object name.

  Although you cannot change the or properties after an insert, update, or delete command has been generated, you can change their settings after calling the Update method of a .

  Gets or sets the beginning character or characters to use when specifying database objects (for example, tables or columns) whose names contain characters such as spaces or reserved tokens.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  Some data sources may have objects that can contain characters such as spaces, commas, and semicolons. To accommodate this capability, use the and properties to specify delimiters such as a left bracket and a right bracket to encapsulate the object name.

  Although you cannot change the or properties after an insert, update, or delete command has been generated, you can change their settings after calling the Update method of a .

  Gets or sets the ending character or characters to use when specifying database objects (for example, tables or columns) whose names contain characters such as spaces or reserved tokens.

  2.0.0.0
- Method
  System.Void

  Calling the method effectively removes all the objects referred to by the ,

  ,

  , and

  properties.

  Clears the commands associated with this .

  2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Adds an event handler for the event.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(".")
  System.String To be added.

  Generally, database servers indicate the schema for an identifier by separating the schema name from the identifier with some character. For example, SQL Server uses a colon, creating complete identifiers such as Person:CustomerName, where "Person" is the schema name and "CustomerName" is the identifier. Setting this property allows developers to modify this behavior.

  Gets or sets the character to be used for the separator between the schema identifier and any other identifiers.

  2.0.0.0
- Property
  System.ComponentModel.DefaultValue(false)
  System.Boolean To be added.

  The UPDATE statement generated by a can include update information about all the columns, or it can include information only about those columns whose values have changed. Setting the property to true causes the generated UPDATE statement to include all the columns, whether their values have changed or not.

  Specifies whether all column values in an update statement are included or only changed ones.

  2.0.0.0
- Method
  System.Void ``

  This method is intended for use by provider writers building a custom command builder. When a new is added to the , it is registered for the DbDataAdapter's RowUpdating event. If this method is called again with the same , the is unregistered for that DbDataAdapter's RowUpdating event.

  Registers the to handle the event for a .

  The to be used for the update. 2.0.0.0
- Method
  System.String `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier, including properly un-escaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes properly un-escaped.

  The identifier that will have its embedded quotes removed. 2.0.0.0